"""

ECLiPt SSH Shell Constants

"""

from os import environ

# Version constants
title = "ECLiPt SSH Shell"
version = "Version 0.11"
shortversion = "E-SSH-SHv0.11"

# Ressource control files
personaldirectory = "%s/.esshsh" % environ["HOME"]
hostdirectory = "%s/hosts" % personaldirectory
ressourcefile = "esshshrc"

# Path the the glade-file
gladefile = "/usr/share/esshsh/esshsh.glade"

# Path where to find pixmaps
pixmappath = "/usr/share/esshsh/pixmaps"

# Miscellaneous constants
appletversion = "applet"
standaloneversion = "standalone"
ecatexecutable = "/usr/lib/python2.1/site-packages/ecat.py"

# Target definition for drag and drop targets
targets = [('text/plain', 0, 1),
           ('text/uri-list', 0, 2),
           ('STRING', 0, 3)]

# View constants
LISTVIEW = 0
TREEVIEW = 1

# Protocol constants
SSH = 0
RSH = 1
TELNET = 2
VNC = 3

# Cipher constants
IDEA = 0
DES = 1
TRIPLEDES = 2
BLOWFISH = 3
ARCFOUR = 4
NONE = 5

# Some default values
defaultcommand = "gnome-terminal --utmp -e \"ssh -p %p %L %R %x -c %c %C -l %u %h %a\""
defaultforward = "ssh -p %p %L %R %x -c %c %C -l %u %h -f %f"
defaulttelnet = "gnome-terminal --utmp -e \"telnet -l %u %h %p %a\""
defaultrsh = "gnome-terminal --utmp -e \"rsh -l %u %h %a\""
defaultscp = "gnome-terminal --utmp -e \"scp -p -r -P %p -c %c %C %F %u@%h:%D\""
defaultvncviewer = "vncviewer -xrm \"*.passwordDialog:True\" -encodings %e -zlib %z %s %S %t %v %h"
defaultwindowx = 25                                 
defaultwindowy = 25                                 
defaultwidthx = 250                                 
defaultwidthy = 300
defaultsshwinmode = 0
defaultbgone = ["57000", "57000", "57000"]
defaultbgtwo = ["65535", "65535", "65535"]
defaultcolorroot = ["50000", "0", "0"]
defaultappletsizex = -1
defaultappletsizey = 48
defaultappletpixmap = "esshsh-small.xpm"
defaultappletpixmapmouseover = "esshsh-small-bright.xpm"
defaultdefaultcipher = IDEA
defaultnonappletposx = -1
defaultnonappletposy = -1

# Constants for calling functions
CF_SHOWLIST = 0
CF_PREFERENCES = 1

# Main window stati
MW_NONE = 0
MW_SHORT = 1
MW_LONG = 2

# Execute modes
MODE_EXECUTE = 0
MODE_COPY = 1
